commit:     b469f19ca5eddefc9330b0913751b4d100dcdf8c
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 22 12:22:44 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Aug 22 12:23:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b469f19c

app-shells/dash: Revbump to drop warnx patch (bug #628588).

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 app-shells/dash/dash-0.5.9.1-r2.ebuild | 69 ++++++++++++++++++++++++++++++++++
 1 file changed, 69 insertions(+)

diff --git a/app-shells/dash/dash-0.5.9.1-r2.ebuild 
b/app-shells/dash/dash-0.5.9.1-r2.ebuild
new file mode 100644
index 00000000000..d67690a06d6
--- /dev/null
+++ b/app-shells/dash/dash-0.5.9.1-r2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs versionator
+
+#MY_PV="$(get_version_component_range 1-3)"
+DEB_PATCH="" #$(get_version_component_range 4)
+#MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Debian Almquist Shell"
+HOMEPAGE="http://gondor.apana.org.au/~herbert/dash/";
+SRC_URI="http://gondor.apana.org.au/~herbert/dash/files/${P}.tar.gz";
+if [[ -n "${DEB_PATCH}" ]] ; then
+       DEB_PF="${PN}_${MY_PV}-${DEB_PATCH}"
+       SRC_URI+=" mirror://debian/pool/main/d/dash/${DEB_PF}.diff.gz"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="libedit static vanilla"
+
+RDEPEND="!static? ( libedit? ( dev-libs/libedit ) )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       libedit? ( static? ( dev-libs/libedit[static-libs] ) )"
+
+src_prepare() {
+       if [[ -n "${DEB_PATCH}" ]] ; then
+               eapply "${WORKDIR}"/${DEB_PF}.diff
+               eapply */debian/diff/*
+       fi
+       default
+
+       #337329 #527848
+       use vanilla ||  eapply "${FILESDIR}"/${PN}-0.5.9.1-dumb-echo.patch
+
+       # Fix the invalid sort
+       sed -i -e 's/LC_COLLATE=C/LC_ALL=C/g' src/mkbuiltins
+
+       # Use pkg-config for libedit linkage
+       sed -i \
+               -e "/LIBS/s:-ledit:\`$(tc-getPKG_CONFIG) --libs libedit $(usex 
static --static '')\`:" \
+               configure || die
+}
+
+src_configure() {
+       append-cppflags -DJOBS=$(usex libedit 1 0)
+       use static && append-ldflags -static
+       # Do not pass --enable-glob due to #443552.
+       # Autotools use $LINENO as a proxy for extended debug support
+       # (i.e. they're running bash), so disable that. #527644
+       local myeconfargs=(
+               --bindir="${EPREFIX}"/bin
+               --enable-fnmatch
+               --disable-lineno
+               $(use_with libedit)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       if [[ -n "${DEB_PATCH}" ]] ; then
+               dodoc */debian/changelog
+       fi
+}

Reply via email to